# WooCommerce Product Importer

**Version: 2.0.14**

![WooCommerce Product Importer](./assets/iwp-addon-woocommerce.png)

## Description

Import WP WooCommerce Product Importer Addon adds a new Template allowing you to import WooCommerce Variable, Simple, Grouped and External Products. Combine this with the power of Import WP PRO allowing you to import custom fields and many other features.

### Import WooCommerce Simple Products

Import WP WooCommerce Product Importer gives you control over what fields are imported when importing Simple Products. Import General settings allowing you to import the price, promotional/sale price and any tax settings. Import shipping settings such as product dimensions and shipping class. Import Linked products such as Upsells and Cross-sells products. Import Product Attributes using Global or local attributes from existing or new attribute terms. Import attachments such as Feature Image and Product Gallery Images. Import Taxonomies such as Product Categories, Tags and any custom taxonomies. Import custom fields declared by your theme or plugins.

### Import WooCommerce External Products

External products can be imported by setting the Product Type to external and configuring the External Product fields to set the product url and button text along with any of the simple product fields which form the base of most product types.

### Import WooCommerce Grouped Products

Grouped products are imported by setting the Product Type to grouped, setting the products which are to be grouped from a list of products, along with any of the simple product fields to populate the grouped products details.

### Import WooCommerce Variable Products and Product Variations

Importing Variable Products and their product variations can be done by first importing the parent variable product with all the product attributes and attribute terms needed to create the relationships with its product variations. Next With the variable products created importing the product variations need to be linked to the parent variable product, also setting there unique product attributes that create the variation.

### Permissions

| Section             | Field key             |
| ------------------- | --------------------- |
| Product Gallery     | product_gallery.\*    |
| Product Downloads   | product_downloads.\*  |
| Product Attributes  | product_attributes.\* |
| Product Upsells     | product_upsell        |
| Product Cross-sells | product_crosssell     |
| Product Grouped     | product_grouped       |

## Installation

The WooCommerce Product Importer Addon can currently only be installed by downloading from [github.com](https://github.com/jcollings/importwp-woocommerce) via the Releases tab of the repository.

1. Download the latest version via the [Releases page on github](https://github.com/jcollings/importwp-woocommerce/releases).
1. Upload ‘importwp-woocommerce’ to the ‘/wp-content/plugins/’ directory
1. Activate the plugin through the ‘Plugins’ menu in WordPress
1. When creating an importer, a new template should appear on the template dropdown.

## Frequently Asked Questions

## Screenshots

## Changelog
